Bug 1289820 - [PATCH] Please add /usr/bin/nosetests-3
[PATCH] Please add /usr/bin/nosetests-3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-nose (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 22:37 EST by Jason Tibbitts
Modified: 2016-12-14 17:56 EST (History)
4 users (show)

See Also:
Fixed In Version: python-nose-1.3.7-11.fc26 python-nose-1.3.7-11.fc25 python-nose-1.3.7-11.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-09 17:27:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch adding proposed symlinlks (1.87 KB, patch)
2015-12-10 13:46 EST, Jason Tibbitts
no flags Details | Diff

  None (edit)
Description Jason Tibbitts 2015-12-08 22:37:37 EST
Currently a package using python3 which needs to call nosetests must know the minor python version to call nostests-3.X. However, the python guidelines say that nosetests-3 must be provided as well:

  https://fedoraproject.org/wiki/Packaging:Python#Naming

Doing this would eliminate the need to macroize or ifdef (or keep separate specs) between F22/3 and rawhide.

I glanced at the spec to provide a patch, but it's kind of crufty and I'm not sure where to add the symlink without breaking something.

Also, the same goes for nosetests-2, though it makes far less of a difference.
Comment 1 Jason Tibbitts 2015-12-10 13:46 EST
Created attachment 1104487 [details]
Patch adding proposed symlinlks

Here's a patch implementing what I propose.  I'm happy to commit this if you wish.
Comment 2 Jan Kurik 2016-02-24 09:07:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Ben Rosser 2016-06-06 14:25:16 EDT
I've just run afoul of this with a new Python package; any chance this could get merged? 

Being able to depend on nosetests-3 and not nosetests-3.x would be really convenient; as it is, for (current Rawhide, F25) I'll need nosetests-3.5 and nosetests-3.4 on Fedora 23.
Comment 4 Orion Poplawski 2016-11-09 18:37:21 EST
FWIW - you can use %{python3_version} to automatically select the version.
Comment 5 Fedora Update System 2016-12-05 18:35:31 EST
python-nose-1.3.7-11.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae6ae99826
Comment 6 Fedora Update System 2016-12-05 18:36:05 EST
python-nose-1.3.7-11.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1d54dafa42
Comment 7 Fedora Update System 2016-12-06 21:26:45 EST
python-nose-1.3.7-11.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae6ae99826
Comment 8 Fedora Update System 2016-12-06 21:57:51 EST
python-nose-1.3.7-11.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1d54dafa42
Comment 9 Fedora Update System 2016-12-09 17:27:14 EST
python-nose-1.3.7-11.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-12-14 17:56:53 EST
python-nose-1.3.7-11.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.